body {
    background: black;
    margin: 0px auto;
    padding: 0px;
}
main {
    margin: 0px;
    min-height: 100vh;
}
p {
    color: rgb(0, 168, 225);
    font: 20px Inter;
    font-weight: 300;
}
main a {
    text-decoration: none;
    font-family: Inter;
    font-weight: bold;
    color: rgb(2,0,36);
}
.book {
    display: flex;
    justify-content: center;
    margin: 40px auto;
    width: 70%;
}
.book_info {
    background-color: black;
    display: inline-block;
    max-width: 50%;
    margin-left: 50px;
    text-align: left;
}
.book_img {
    display: flex;
    max-height: 300px;
    width: auto;
    border-radius: 20px;
    border: 2px solid rgb(0, 168, 225);
}
.btn_link_book {
    display: block;
    background-color: rgb(0, 168, 225);
    height: 40px;
    width: 130px;
    border: 0;
    border-radius: 10px;
    margin-top: 40px;
    font: 16px Inter;
}
.lessons {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin: 80px auto;
}
.lesson5, .lesson11, .lesson12, .lesson11_12 {
    display: flex;
    justify-content: space-between;
    width: 70%;
    background-color: rgb(2,0,36);
    padding: 30px;
}
.lesson5 {
    border-radius: 20px 20px 0px 0px;
    border: 2px solid rgb(0, 168, 225);
    border-bottom: 1px solid rgb(0, 168, 225);
}
.lesson11, .lesson12 {
    border-radius: 0px;
    border: 2px solid rgb(0, 168, 225);
    border-top: 1px solid rgb(0, 168, 225);
    border-bottom: 1px solid rgb(0, 168, 225);
}
.lesson11_12 {
    border-radius: 0px 0px 20px 20px;
    border: 2px solid rgb(0, 168, 225);
    border-top: 1px solid rgb(0, 168, 225);
}
.lesson_title {
    display: flex;
    justify-content: flex-start;
    width: 50%;
    color: rgb(0, 168, 225);
    margin: 30px;
    font: 30px Inter;
    font-weight: 100;
}
.all_btns {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    grid-gap: 10px;
    width: 100%;
    margin: auto 0px;
}
.btns {
    display: flex;
    flex-wrap: wrap;
    height: min-content;
    border-radius: 10px;
    margin: 8px;
    background-color: rgb(0, 168, 225);
}
.ex_btn {
    display: flex;
    width: max-content;
    height: min-content;
    background-color: rgb(2,0,36);
    color: rgb(0, 168, 225);
    padding: 8px;
    border: 1px solid rgb(0, 168, 225);
    border-radius: 5px;
    font: 16px Inter;
    font-weight: 300;
    text-decoration: none;
    margin: -3px 6px;
}
.popup {
    display: none;
}

/* Large desktops and laptops */
@media (min-width: 1200px) and (max-width: 1650px) {
    .book {
        width: 80%;
    }
    .lesson5, .lesson11, .lesson12, .lesson11_12 {
        width: 80%;
    }
}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .book {
        width: 80%;
    }
    .lesson5, .lesson11, .lesson12, .lesson11_12 {
        width: 80%;
    }
    .lesson_title {
        width: 60%;
    }
}

/* Portrait tablets and small desktops */
@media (min-width: 768px) and (max-width: 991px) {
    p {
        font-size: 18px;
    }
    .book {
        width: 80%;
    }
    .book_img {
        max-height: 250px;
    }
    .btn_link_book {
        margin-top: 30px;
    }
    .lesson5, .lesson11, .lesson12, .lesson11_12 {
        flex-direction: column;
        width: 80%;
    }
    .lesson_title {
        width: auto;
        justify-content: center;
        margin: 10px;
    }
    .all_btns {
        justify-content: center;
        width: auto;
        margin: 20px 10px;
        margin-top: 30px;
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 481px) and (max-width: 767px) {
    .book {
        flex-direction: column;
        width: 80%;
    }
    p {
        font-size: 18px;
    }
    .book_img {
        width: 70%;
        max-height: 100%;
        margin: 0px auto;
        border: 0;
    }
    .book_info {
        max-width: 90%;
        margin-left: 0px;
        margin: 10px auto;
        margin-top: -30%;
        padding-top: 5%;
        padding-bottom: 5%;
    }
    .btn_link_book {
        margin-top: 30px;
    }
    .lessons {
        margin: 60px auto;
    }
    .lesson5, .lesson11, .lesson12, .lesson11_12 {
        flex-direction: column;
        width: 80%;
        padding: 20px;
    }
    .lesson_title {
        width: auto;
        justify-content: center;
        margin: 10px;
    }
    .all_btns {
        justify-content: center;
        width: auto;
        margin: 20px 10px;
        margin-top: 30px;
    }
    .ex_btn {
        margin: 0px 4px;
    }
}

/* Portrait phones and smaller */
@media (min-width: 321px) and (max-width: 480px) {
    .book {
        flex-direction: column;
        width: 80%;
    }
    p {
        font-size: 16px;
    }
    .book_img {
        width: 80%;
        max-height: 100%;
        margin: 0px auto;
        border: 0;
    }
    .book_info {
        max-width: 90%;
        margin-left: 0px;
        margin: 10px auto;
        margin-top: -30%;
        padding-top: 5%;
        padding-bottom: 5%;
    }
    .btn_link_book {
        margin-top: 30px;
        height: 30px;
        width: 130px;
        font: 14px Inter;
    }
    .lessons {
        margin: 50px auto;
    }
    .lesson5, .lesson11, .lesson12, .lesson11_12 {
        flex-direction: column;
        width: 80%;
        padding: 20px 10px;
    }
    .lesson_title {
        width: auto;
        justify-content: center;
        margin: 10px;
        font: 26px Inter;
        font-weight: 100;
    }
    .all_btns {
        justify-content: center;
        width: auto;
        margin: 10px 10px;
        margin-top: 20px;
    }
    .btns {
        margin: 8px;
        width: min-content;
        justify-content: center;
    }
    .ex_btn {
        margin: 2px 4px;
    }
}

/* Iphone 5 */
@media (max-width: 320px) {
    .book {
        flex-direction: column;
        margin: 30px auto;
        width: 80%;
    }
    p {
        font-size: 14px;
    }
    .book_img {
        width: 80%;
        max-height: 100%;
        margin: 0px auto;
        border: 0;
    }
    .book_info {
        max-width: 90%;
        margin-left: 0px;
        margin: 10px auto;
        margin-top: -30%;
        padding-top: 5%;
        padding-bottom: 5%;
    }
    .btn_link_book {
        margin-top: 20px;
        height: 30px;
        width: 120px;
        font: 12px Inter;
    }
    .lessons {
        margin: 40px auto;
    }
    .lesson5, .lesson11, .lesson12, .lesson11_12 {
        flex-direction: column;
        width: 80%;
        padding: 10px 0px;
    }
    .lesson_title {
        width: auto;
        justify-content: center;
        margin: 20px;
        font: 22px Inter;
        font-weight: 100;
    }
    .all_btns {
        justify-content: center;
        width: auto;
        grid-gap: 4px;
        margin: 10px 6px;
        margin-top: 10px;
    }
    .btns {
        margin: 6px;
        width: min-content;
        justify-content: center;
        border-radius: 6px;
    }
    .ex_btn {
        padding: 6px;
        border: 0;
        font: 14px Inter;
        font-weight: 300;
        margin: 3px 4px;
    }
}